<?xml version="1.0"?>
<schemalist>
  <schema id="org.x.apps" path="/org/x/apps/">
    <child name="status-icon" schema="org.x.apps.statusicon"/>
    <child name="favorites" schema="org.x.apps.favorites"/>
  </schema>

  <schema id="org.x.apps.favorites" path="/org/x/apps/favorites/" gettext-domain="xapps">
    <key name="list" type="as">
      <default>[]</default>
      <summary>List of favorites, stored in display order, with the format of uri::mimetype</summary>
    </key>
    <key name="root-metadata" type="as">
      <default>[]</default>
      <summary>List of gvfs metadata for the favorites:/// root (for remembering sort order in nemo, etc).</summary>
    </key>
  </schema>

  <schema id="org.x.apps.statusicon" path="/org/x/apps/statusicon/">
     <key name="left-click-activate-apps" type="as">
       <default>["onboard"]</default>
       <summary>A list of appindicator-based apps where left-click should trigger the 'secondary activation' action, rather than open the menu.</summary>
       <description>The name to be put here will be the icon's "Name" (not icon name).  You can see what name to use by running xapp-sn-watcher from a terminal (or in .xsession-properties in some DEs).
       </description>
     </key>
     <key name="status-notifier-enabled-desktops" type="as">
       <default>["Cinnamon", "X-Cinnamon"]</default>
       <summary>List of desktops to run the XApp StatusNotifierWatcher service on..</summary>
       <description>The name in the session's XDG_CURRENT_DESKTOP environment variable is checked against this list.  If the name is here, the service is started to allow XApp status applets to support the StatusNotifer spec (this includes appindicator).
       </description>
     </key>
     <key name="sn-watcher-debug" type="b">
        <default>false</default>
        <summary>Print debug messages for the xapp-sn-watcher service</summary>
     </key>
     <key name="sn-watcher-replace-tooltip" type="as">
        <default>["qbittorrent"]</default>
        <summary>Use the Title property in place of the Tooltip for programs with these IDs.</summary>
     </key>
      <key name="sn-watcher-advertise-host" type="b">
        <default>true</default>
        <summary>Whether to invite true StatusNotifierItem implementations to connect.</summary>
        <description>StatusNotifierItem implementations (like kde's) check for StatusNotifierWather::IsStatusNotifierHostRegistered to be true before attempting to connect with us. Appindicator implementations only look to see if StatusNotifierWatcher is owned on the bus. Setting IsStatusNotifierHostRegistered to false effectively disabled StatusNotifier support while still handling appindicator icons.
        </description>
     </key>
  </schema>
    <schema id="org.x.apps.mate-panel-applet" path="/org/x/apps/mate-panel-applet/" gettext-domain="xapps">
    <key name="symbolic-icon-offset" type="i">
      <default>8</default>
      <summary>Pixels smaller than the panel height to make symbolic icons</summary>
    </key>
    <key name="color-icon-offset" type="i">
      <default>8</default>
      <summary>Pixels smaller than the panel height to make color icons</summary>
    </key>
  </schema>

</schemalist>
